Subject: RE: Egoless documents

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 28 Sep 2005 12:49:02 +0300

Maybe we should entitle the WG Chairs to take out the names of former
contributors who fell below the 20% contribution threshold from the
authors list. I encountered cases when there were names of former
authors on the documents, these people were not involved for a long time
in this specific work, or in IETF work at all, they had changed company
affiliation and e-mail addresses and we had a problem in locating them.
In such cases, moving these names from the front page to the
acknowledgements section should be in the prerogatives of the WG chair. 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Brian E Carpenter
> Sent: Tuesday, September 27, 2005 8:05 PM
> To: [email-masked]
> Cc: 'Wijnen, Bert (Bert)'; [email-masked]
> Subject: Re: Egoless documents
> 
> David B Harrington wrote:
> > Hi,
> > 
> > The discussion of RFC# allocation is drifting way 
> off-topic, so I've 
> > changed the subject line.
> 
> Thanks.
> 
> > 
> > Not to be negative, but I've seen "authors" contribute very 
> little to 
> > the documents with their names on them; all some care about 
> is getting 
> > their names on the documents for ego reasons or for corporate 
> > marketing reasons, not the quality of the work. Some simply make a 
> > commitment of time and effort they cannot honor, but their name is 
> > never removed from the document.
> 
> True, although Rohan is correct that authorship is a source 
> of motivation. I wouldn't take away authorship from serious 
> contributors.
> But an absentee author mustn't become a blocking factor for 
> editing and publication.
> 
>      Brian
> > 
> > Now, when I'm primary editor or chair, I try to establish 
> conditions 
> > up front for front-page author/editor credit:
> > 1) Names don't get put on the documents until *after* the 
> person has 
> > contributed substantial useable text for the document.
> > 2) "Authors" must contribute ~20+% of the (non-boilerplate) text in 
> > the final document (which limits the list of authors to 
> five or less).
> > 
> > 3) All front-page Editors must be very involved in the integration 
> > work being done plus the shepherding of the document.
> > 40 Most acknowledgements require specific contributions or detailed 
> > reviews.
> > 
> > Typically, if you've contributed 20+% of the text, you will 
> care about 
> > the quality of the document, and should get credit for your work.
> > 
> > David Harrington
> > [email-masked]
> >

---

From: Lars Eggert <[email-masked]>
Date: Wed, 28 Sep 2005 13:04:46 +0200

On Sep 28, 2005, at 11:49, Romascanu, Dan (Dan) wrote:
> authors list.

Nothing is stopping chairs from informally contacting such former  
contributors now to the same effect - no need for a more formal  
process, IMO.

Lars
--
Lars Eggert                                     NEC Network Laboratories

---

From: Acee Lindem <[email-masked]>
Date: Wed, 28 Sep 2005 09:35:02 -0400

>acknowledgements section should be in the prerogatives of the WG chair.
Many times an RFC is refreshed with corrections, clarifications, and 
minor additions. In this
case, I see no reason to remove the former author(s) as long as their 
technical contribution
constitutes a significant portion of the document. There should be a way 
to designate an author
as a "former author" that will not be required to participate in  the 
AUTH48 review cycle.

Acee